package com.lamark.business.bemobi.core.client;

import org.eclipse.microprofile.rest.client.inject.RegisterRestClient;

import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.QueryParam;
import javax.ws.rs.Consumes;
import javax.ws.rs.core.MediaType;

@RegisterRestClient(configKey = "bemobi-api")
@Path("/opx/1.0")
public interface BemobiClient {

    @POST
    @Path("/SignUpCompleted")
    @Consumes(MediaType.TEXT_PLAIN)
    String signUpComplete(@QueryParam("OPXSubscriptionID") String OPXSubscriptionID,
                          @QueryParam("ServiceSignUpDate") Long ServiceSignUpDate);
}
