package com.lamark.business.bemobi.core.client;

import com.lamark.core.dto.AppSessionDto;
import com.lamark.core.dto.SiteDto;
import org.eclipse.microprofile.rest.client.inject.RegisterRestClient;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;
import java.util.List;

@RegisterRestClient(configKey = "data-core")
@Path("/data/v1/core")
public interface CoreClient {

    @POST
    @Produces(MediaType.APPLICATION_JSON)
    @Consumes(MediaType.APPLICATION_JSON)
    @Path("/account/sessions")
    List<AppSessionDto> getSessions(AppSessionDto signUpRequestDto);

    @GET
    @Produces(MediaType.APPLICATION_JSON)
    @Path("site/getSite/{siteId}")
    SiteDto getSiteById(@PathParam("siteId") Integer siteId);


}
