package com.lamark.business.bemobi.core.client;

import com.lamark.core.dto.LamarkConfigDto;
import org.eclipse.microprofile.rest.client.inject.RegisterRestClient;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import java.util.List;

@RegisterRestClient(configKey = "data-core")
@Path("/data/v1/core/config")
public interface DataCoreClient {
    @GET
    @Path("/{parentName}")
    @Produces("application/json")
    List<LamarkConfigDto> getConfig(@PathParam("parentName") String parentName);


}
