package com.lamark.business.bemobi.core.client;

import com.lamark.core.dto.UserDto;
import org.eclipse.microprofile.rest.client.inject.RegisterRestClient;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;

@RegisterRestClient(configKey = "data-core")
@Path("/data/v1/core/user")
public interface DataCoreUserClient {

    @GET
    @Path("/{msisdn}/{siteId}")
    UserDto getUser(@PathParam("msisdn") String msisdn, @PathParam("siteId") Integer siteId);
}
