package com.lamark.business.bemobi.core.service;

import com.lamark.architecture.corems.exception.BaseException;
import com.lamark.core.dto.*;

public interface BemobiService {

    BemobiResponseDto subscribe(BemobiRequestDto notification) throws BaseException;
    void statusChange(StatusChangeDto notification) throws BaseException;
    void processPaymentNotification(PaymentNotificationDto paymentNotification);
    BemobiResponseDto activateCredential(ActivationCredentialsDto credentials) throws BaseException;
}
